%define upstream_name    Sub-Name
%define upstream_version 0.04

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary: 	Allows to (re)name a sub
License: 	GPL+ or Artistic
Group: 		Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Sub/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:  perl-devel
BuildRoot: 	    %{_tmppath}/%{name}-%{version}-%{release}

%description 
This module allows to (re)name a sub.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf %{buildroot}
%{makeinstall_std}

%check
%{__make} test

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Sub
%{perl_vendorarch}/auto/Sub
%{_mandir}/*/*


%changelog
* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 404421
- rebuild using %%perl_convert_version

* Sat Jul 19 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.04-1mdv2009.0
+ Revision: 238726
- update to new version 0.04

* Thu Feb 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.03-1mdv2008.1
+ Revision: 173562
- update to new version 0.03

* Tue Jan 15 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.02-2mdv2008.1
+ Revision: 152317
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2008.0
+ Revision: 74276
- import perl-Sub-Name


* Wed Aug 29 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.02-1mdv2008.0
- first mdv release
